## r-cran-class 7.3

=== DESCRIPTION ===
Package: class
Priority: recommended
Version: 7.3-21
Date: 2023-01-23
Depends: R (>= 3.0.0), stats, utils
Imports: MASS
Authors@R: c(person("Brian", "Ripley", role = c("aut", "cre", "cph"),
                    email = "ripley@stats.ox.ac.uk"),
             person("William", "Venables", role = "cph"))
Description: Various functions for classification, including k-nearest
  neighbour, Learning Vector Quantization and Self-Organizing Maps.
Title: Functions for Classification
ByteCompile: yes
License: GPL-2 | GPL-3
URL: http://www.stats.ox.ac.uk/pub/MASS4/
NeedsCompilation: yes
Packaged: 2023-01-23 06:55:04 UTC; ripley
Author: Brian Ripley [aut, cre, cph],
  William Venables [cph]
Maintainer: Brian Ripley <ripley@stats.ox.ac.uk>
Repository: CRAN
Date/Publication: 2023-01-23 07:10:12 UTC

## r-cran-class 7.3-15

=== debian/changelog ===
r-cran-class (7.3-15-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Jan 2019 08:51:29 -0600

r-cran-class (7.3-14-2.1) unstable; urgency=medium

  * (Inofficial) Rebuild for R 3.5.0

  * Manual override for ${R:Depends} while dh-r is looked at

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/compat: Increase level to 9
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Apr 2018 14:42:46 -0500

r-cran-class (7.3-14-2) unstable; urgency=medium

  * Rebuilt under R 3.4.0 to update registration for .C() and .Fortran()
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Add Depends: on ${misc:Depends}

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 29 Apr 2017 09:51:43 -0500

r-cran-class (7.3-14-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Aug 2015 11:14:11 -0500

r-cran-class (7.3-13-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 30 Jun 2015 08:36:29 -0500

r-cran-class (7.3-12-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 11 Feb 2015 07:07:16 -0600

r-cran-class (7.3-11-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Jul 2014 06:22:19 -0500

r-cran-class (7.3-10-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 28 Mar 2014 06:29:58 -0500

r-cran-class (7.3-9-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Aug 2013 13:44:01 -0500

r-cran-class (7.3-8-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Jul 2013 12:00:36 -0500

r-cran-class (7.3-7-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0 (beta)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Mar 2013 06:22:59 -0500

r-cran-class (7.3-5-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Oct 2012 12:13:14 -0500

r-cran-class (7.3-4-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 27 Jun 2012 12:14:23 -0500

r-cran-class (7.3-3-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Dec 2010 10:49:26 -0600

r-cran-class (7.3-2-2) unstable; urgency=low

  * debian/control: Added r-cran-mass to (Build-)Depends: (Closes: #584340)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 03 Jun 2010 09:07:29 -0500

r-cran-class (7.3-2-1) unstable; urgency=low

  * New upstream release

  * debian/control: Provided extended long Description:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 Apr 2010 08:07:23 -0500

r-cran-class (7.3-1-1) unstable; urgency=low

  * Initial Debian package				(Closes: #551130)
  
  * class used to be part of the VR bundle which has been in Debian as package
    r-cran-vr since Jan 2004, and as part of the r-base package since Dec 1997.
    It has been unbundled with deprecation of package bundles in R 2.10.0
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Oct 2009 19:44:12 -0500

=== debian/control ===
Source: r-cran-class
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.5.2), r-cran-mass, dh-r
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git
Homepage: https://cran.r-project.org/package=class

Package: r-cran-class
Architecture: any
Replaces: r-cran-vr (<< 7.3-0)
Depends: r-base-core (>= 3.5.0-1), r-api-3.5, ${shlibs:Depends}, ${misc:Depends}, r-cran-mass
Description: GNU R package for classification
 The class package provides functions and datasets to support chapter
 12 on 'Classification' in the book 'Modern Applied Statistics with S'
 (4th edition) by W.N. Venables and B.D. Ripley. The following URL
 provides more details about the book: 
 URL: http://www.stats.ox.ac.uk/pub/MASS4

## r-cran-class 7.3-16

=== debian/changelog ===
r-cran-class (7.3-16-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 04 Apr 2020 20:47:28 +0000

r-cran-class (7.3-16-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Switch to ${R:Depends} now that dh-r is fixed

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 Mar 2020 20:04:11 -0500

=== debian/control ===
Source: r-cran-class
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper, r-base-dev (>= 3.6.3), r-cran-mass, dh-r
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git
Homepage: https://cran.r-project.org/package=class

Package: r-cran-class
Architecture: any
Replaces: r-cran-vr (<< 7.3-0)
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}, r-cran-mass
Description: GNU R package for classification
 The class package provides functions and datasets to support chapter
 12 on 'Classification' in the book 'Modern Applied Statistics with S'
 (4th edition) by W.N. Venables and B.D. Ripley. The following URL
 provides more details about the book: 
 URL: http://www.stats.ox.ac.uk/pub/MASS4

## r-cran-class 7.3-17

=== debian/changelog ===
r-cran-class (7.3-17-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:08:54 +0000

r-cran-class (7.3-17-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Apr 2020 08:32:15 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper, r-base-dev (>= 3.6.3), r-cran-mass, dh-r
+Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), r-cran-mass, dh-r
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git

## r-cran-class 7.3-18

=== debian/changelog ===
r-cran-class (7.3-18-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 24 Jan 2021 09:27:19 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.6.3), r-cran-mass, dh-r
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), r-cran-mass, dh-r
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git
 Homepage: https://cran.r-project.org/package=class

## r-cran-class 7.3-19

=== debian/changelog ===
r-cran-class (7.3-19-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.2 LTS

 -- Michael Rutter <marutter@gmail.com>  Thu, 06 May 2021 15:48:59 +0000

r-cran-class (7.3-19-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 May 2021 14:52:18 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.3), r-cran-mass, dh-r
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), r-cran-mass, dh-r
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git

## r-cran-class 7.3-20

=== debian/changelog ===
r-cran-class (7.3-20-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Jan 2022 08:32:14 -0600

r-cran-class (7.3-19-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Aug 2021 08:07:14 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.0.4), r-cran-mass, dh-r
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), r-cran-mass, dh-r
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git
 Homepage: https://cran.r-project.org/package=class

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-class package
# Copyright 2005 - 2018 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## r-cran-class 7.3-21

=== debian/changelog ===
r-cran-class (7.3-21-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 23 Jan 2023 07:07:30 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.2), r-cran-mass, dh-r
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), r-cran-mass, dh-r
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git
 Homepage: https://cran.r-project.org/package=class

## r-cran-class 7.3-22

=== debian/changelog ===
r-cran-class (7.3-22-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:21 +0200

r-cran-class (7.3-22-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 21 Jun 2023 06:47:47 -0500

r-cran-class (7.3-22-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 May 2023 17:29:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: r-cran-class
 Section: gnu-r
 Priority: optional
-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), r-cran-mass, dh-r
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), r-cran-mass, dh-r
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/class_([-0-9\.]*)\.tar.gz

## r-cran-class 7.3-23

=== debian/changelog ===
r-cran-class (7.3-23-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 01 Jan 2025 09:54:51 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: r-cran-class
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), r-cran-mass, dh-r
-Standards-Version: 4.6.2
+Maintainer: Dirk Eddelbuettel <edd@debian.org>
+Build-Depends: debhelper-compat (= 13), r-base-dev (>= 4.4.2), r-cran-mass, dh-r
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-class
 Vcs-Git: https://salsa.debian.org/edd/r-cran-class.git
 Homepage: https://cran.r-project.org/package=class
